#!/usr/bin/env bash

echo "repository name: "$DRONE_REPO_NAME
echo "repository owner: "$DRONE_REPO_OWNER

echo "Copying documentation for user $DRONE_REPO_OWNER and repository $DRONE_REPO_NAME"
rsync --rsync-path="mkdir -p /usr/share/nginx/html/$DRONE_REPO_OWNER/$DRONE_REPO_NAME/ && rsync" -e "ssh -o StrictHostKeyChecking=no" -avz /docs root@nginx:/usr/share/nginx/html/$DRONE_REPO_OWNER/$DRONE_REPO_NAME/